%define upstream_name    KinoSearch
%define upstream_version 0.315

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Surround highlight bits with tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.130.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.180.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.160.0
BuildRequires: perl(JSON::XS) >= 1.530.0
BuildRequires: perl(Lingua::Stem::Snowball) >= 0.952.0
BuildRequires: perl(Lingua::StopWords) >= 0.90.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl-devel
%description
KinoSearch is a loose port of the Java search engine library Apache Lucene,
written in Perl and C. The archetypal application is website search, but it
can be put to many different uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README sample
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.315.0-2.mga3
+ Revision: 368830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 jquelin <jquelin> 0.315.0-1.mga3
+ Revision: 252176
- update to 0.315
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.313.0-2.mga2
+ Revision: 105421
- Rebuild for perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 0.313.0-1.mga1
+ Revision: 80377
- update to 0.313

* Tue Mar 29 2011 jquelin <jquelin> 0.311.0-1.mga1
+ Revision: 78797
- update to 0.311

* Sun Jan 23 2011 jquelin <jquelin> 0.165.0-4.mga1
+ Revision: 33894
- mageia rebuild
- imported package perl-KinoSearch

